package pps.core.space.service.data.space_interval_system;

import lombok.Data;
import xstartup.annotation.XText;

import java.util.Date;

/**
 * 间开制度详情
 *
 * @author ZWT
 * @date 2023/08/29
 */
@Data
public class CreateSpaceIntervalSystemInput {
    @XText("ID")
    private String id;

    @XText("是否删除(0_是;1_否)")
    private Integer isDeleted;

    @XText("创建人ID")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("创建时间")
    private Date createTime;

    @XText("修改人ID")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;

    @XText("组织机构ID")
    private String ouId;

    @XText("线路ID")
    private String lineId;

    @XText("电网类型key(字典获取)")
    private String gridTypeKey;

    @XText("制度名称")
    private String systemName;

    @XText("制度开始时间")
    private Date systemStartDate;

    @XText("制度结束时间")
    private Date systemEndDate;

    @XText("优化至")
    private String optimizedTo;

    @XText("当前运行制度(0_是;1_否)")
    private Integer isCurrentRun;
}
